import mongoose from 'mongoose';
import SampleModel from './sample';
import MeasurementTemplateModel from './measurement_template';



const MeasurementSchema = new mongoose.Schema({
  sample_id: {type: mongoose.Schema.Types.ObjectId, ref: SampleModel},
  values: mongoose.Schema.Types.Mixed,
  measurement_template: {type: mongoose.Schema.Types.ObjectId, ref: MeasurementTemplateModel},
  status: Number
}, {minimize: false});

export default mongoose.model('measurement', MeasurementSchema);